Bug 977794 - Scripts for running EAP as service on RHEL contains unsupported option "reload"
Scripts for running EAP as service on RHEL contains unsupported option "reload"
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Permaine Cheung
Marek Kopecky
:
Depends On:
Blocks: 1134813
  Show dependency treegraph
 
Reported: 2013-06-25 06:49 EDT by Petr Kremensky
Modified: 2016-06-14 07:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1134813 (view as bug list)
Environment:
RHEL
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-1078 Minor Closed Scripts for running EAP as service on RHEL contains unsupported option "reload" in help message 2017-06-09 07:33 EDT

  None (edit)
Description Petr Kremensky 2013-06-25 06:49:40 EDT
jboss-as-standalone.sh and jboss-as-domain.sh contains reload option, but this option is not supported by the script and returns usage message.

part of script:
...
case "$1" in
  start)
      start
      ;;
  stop)
      stop
      ;;
  restart)
      $0 stop
      $0 start
      ;;
  status)
      status
      ;;
  *)
      ## If no parameters are given, print which are avaiable.
      echo "Usage: $0 {start|stop|status|restart|reload}"
      exit 1
      ;;
esac

case for reload is missing.
Comment 1 Permaine Cheung 2013-06-25 11:28:52 EDT
Brian, can you please look into this? Thanks!
Comment 2 Brian Stansberry 2013-07-01 11:00:23 EDT
Just remove "|reload" from the usage text.
Comment 6 JBoss JIRA Server 2015-10-26 04:59:48 EDT
Tomaz Cerar <tomaz.cerar@gmail.com> updated the status of jira JBEAP-1078 to Resolved
Comment 7 JBoss JIRA Server 2015-10-29 12:29:58 EDT
Marek Kopecký <mkopecky@redhat.com> updated the status of jira JBEAP-1078 to Reopened
Comment 8 JBoss JIRA Server 2015-10-30 10:21:06 EDT
Petr Sakař <psakar@redhat.com> updated the status of jira JBEAP-1078 to Resolved
Comment 9 JBoss JIRA Server 2015-12-01 06:27:08 EST
Marek Kopecký <mkopecky@redhat.com> updated the status of jira JBEAP-1078 to Reopened
Comment 10 JBoss JIRA Server 2016-06-14 07:37:13 EDT
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-1078 to Closed

Note You need to log in before you can comment on or make changes to this bug.